local CancelPet = CreateFrame("Frame", nil, UIParent)
CancelPet:RegisterEvent("PET_BATTLE_OPENING_START")

StaticPopupDialogs["NO_RARE_PET"] = {
    text = "No " .. ITEM_QUALITY_COLORS[3].hex .. "RARE|r or better pet found. Press |cffff0000ESCAPE|r to forfeit!",
    button1 = "Keep Fighting",
    button2 = "Forfeit",
    whileDead = false,
    showAlert = true,
    OnCancel = function(self)
        C_PetBattles.ForfeitGame();
    end,
    timeout = 0,
    exclusive = 1,
    hideOnEscape = 1,
    preferredIndex = 3,
};

function CheckPet(frame, event, ...)
    
    local message = "|cff33ff99Pets in the opposing team|r: "
    
    for i=1,C_PetBattles.GetNumPets(2) do
        -- message = message .. ITEM_QUALITY_COLORS[C_PetBattles.GetBreedQuality(2,i)-1].hex..C_PetBattles.GetName(2,i).."|r, "
        message = message .. DoPetLink(i) .. " "
    end
    
    SELECTED_CHAT_FRAME:AddMessage(message)
    
    if C_PetBattles.GetBreedQuality(2,1) < 4 and C_PetBattles.GetBreedQuality(2,2) < 4 and C_PetBattles.GetBreedQuality(2,3) < 4 then
            if C_PetBattles.IsPlayerNPC(LE_BATTLE_PET_ENEMY) then
                StaticPopup_Show("NO_RARE_PET")
            end
    end
end

function DoPetLink(pet)
    
    local name = C_PetBattles.GetName(2, pet)
    local speciesID = C_PetBattles.GetPetSpeciesID(2, pet)
    local level = C_PetBattles.GetLevel(2, pet)
    local quality = C_PetBattles.GetBreedQuality(2, pet)-1
    local health = C_PetBattles.GetMaxHealth(2, pet)
    local power = C_PetBattles.GetPower(2, pet)
    local speed = C_PetBattles.GetSpeed(2, pet)
    
    return string.format("%s|Hbattlepet:%s:%s:%s:%s:%s:%s:|h[%s]|h|r", ITEM_QUALITY_COLORS[quality].hex, speciesID, level, quality, health, power, speed, name)
end
    

CancelPet:SetScript("OnEvent", CheckPet)